Open CASCADE Technology: LDOM_Node Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Friends
LDOM_Node Class Reference

`#include <LDOM_Node.hxx>`

Inheritance diagram for LDOM_Node:
[legend]

## Public Types
enum | NodeType { UNKNOWN = 0, ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, COMMENT_NODE = 8 }

## Public Member Functions
| LDOM_Node ()
| LDOM_Node (const LDOM_Node &anOther)
const LDOM_MemManager & | getOwnerDocument () const
LDOM_Node & | operator= (const LDOM_Node &anOther)
LDOM_Node & | operator= (const LDOM_NullPtr *aNull)
Standard_Boolean | operator== (const LDOM_NullPtr *) const
Standard_Boolean | operator!= (const LDOM_NullPtr *) const
Standard_Boolean | operator== (const LDOM_Node &anOther) const
Standard_Boolean | operator!= (const LDOM_Node &anOther) const
Standard_Boolean | isNull () const
NodeType | getNodeType () const
LDOMString | getNodeName () const
LDOMString | getNodeValue () const
LDOM_Node | getFirstChild () const
LDOM_Node | getLastChild () const
LDOM_Node | getNextSibling () const
void | removeChild (const LDOM_Node &aChild)
void | appendChild (const LDOM_Node &aChild)
Standard_Boolean | hasChildNodes () const
void | SetValueClear () const

## Protected Member Functions
const LDOM_BasicNode & | Origin () const
| myOrigin ((LDOM_BasicNode *)&anOrig)
| myLastChild (NULL)

## Protected Attributes
| __pad0__: myDocument (aDoc)
Handle< LDOM_MemManager > | myDocument
LDOM_BasicNode * | myOrigin
const LDOM_BasicNode * | myLastChild

## Friends
char * | db_pretty_print (const LDOM_Node *, int, char *)

## Member Enumeration Documentation

enum LDOM_Node::NodeType

Enumerator
UNKNOWN |
ELEMENT_NODE |
ATTRIBUTE_NODE |
TEXT_NODE |
CDATA_SECTION_NODE |
COMMENT_NODE |

## Constructor & Destructor Documentation

LDOM_Node::LDOM_Node | ( |  | ) |
| inline

LDOM_Node::LDOM_Node | ( | const LDOM_Node & | anOther | ) |
| inline

## Member Function Documentation

void LDOM_Node::appendChild | ( | const LDOM_Node & | aChild | ) |

LDOM_Node LDOM_Node::getFirstChild | ( |  | ) | const

LDOM_Node LDOM_Node::getLastChild | ( |  | ) | const

LDOM_Node LDOM_Node::getNextSibling | ( |  | ) | const

LDOMString LDOM_Node::getNodeName | ( |  | ) | const

NodeType LDOM_Node::getNodeType | ( |  | ) | const

LDOMString LDOM_Node::getNodeValue | ( |  | ) | const

const LDOM_MemManager& LDOM_Node::getOwnerDocument | ( |  | ) | const

Standard_Boolean LDOM_Node::hasChildNodes | ( |  | ) | const

Standard_Boolean LDOM_Node::isNull | ( |  | ) | const

LDOM_Node::myLastChild | ( | NULL |  | ) |
| inlineprotected

LDOM_Node::myOrigin | ( | (LDOM_BasicNode *)& | anOrig | ) |
| protected

Standard_Boolean LDOM_Node::operator!= | ( | const LDOM_NullPtr * |  | ) | const
| inline

Standard_Boolean LDOM_Node::operator!= | ( | const LDOM_Node & | anOther | ) | const

LDOM_Node& LDOM_Node::operator= | ( | const LDOM_Node & | anOther | ) |

LDOM_Node& LDOM_Node::operator= | ( | const LDOM_NullPtr * | aNull | ) |

Standard_Boolean LDOM_Node::operator== | ( | const LDOM_NullPtr * |  | ) | const
| inline

Standard_Boolean LDOM_Node::operator== | ( | const LDOM_Node & | anOther | ) | const

const LDOM_BasicNode& LDOM_Node::Origin | ( |  | ) | const
| protected

void LDOM_Node::removeChild | ( | const LDOM_Node & | aChild | ) |

void LDOM_Node::SetValueClear | ( |  | ) | const

## Friends And Related Function Documentation

char* db_pretty_print | ( | const LDOM_Node * | ,
|  | int | ,
|  | char * |
| ) |  |
| friend

## Field Documentation

LDOM_Node::__pad0__
| protected

Handle< LDOM_MemManager > LDOM_Node::myDocument
| protected

const LDOM_BasicNode* LDOM_Node::myLastChild
| protected

LDOM_BasicNode* LDOM_Node::myOrigin
| protected

The documentation for this class was generated from the following file:

- LDOM_Node.hxx